## postgresql-pllua 0.3.2

=== Makefile ===
# Makefile for PL/Lua
# $Id: Makefile,v 1.12 2009/09/20 14:20:48 carvalho Exp $

# Lua specific

# General
LUAINC =
LUALIB = -llua

# Debian/Ubuntu
#LUAINC = -I/usr/include/lua5.1
#LUALIB = -llua5.1

# Fink
#LUAINC = -I/sw/include -I/sw/include/postgresql
#LUALIB = -L/sw/lib -llua

# Lua for Windows
#LUAINC = -IC:/PROGRA~1/Lua/5.1/include
#LUALIB = -LC:/PROGRA~1/Lua/5.1/lib -llua5.1

# no need to edit below here
MODULE_big = pllua
DATA_built = pllua.sql
REGRESS = plluatest
OBJS = pllua.o plluaapi.o plluaspi.o
PG_CPPFLAGS = $(LUAINC)
SHLIB_LINK = $(LUALIB)

#PG_CONFIG = /usr/local/pgsql/bin/pg_config
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
postgresql-pllua (1:0.3.2-4) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.

 -- Christoph Berg <myon@debian.org>  Wed, 24 Aug 2011 16:31:14 +0200

postgresql-pllua (1:0.3.2-3) unstable; urgency=low

  * Actually install style.css file.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2011 15:40:28 +0200

postgresql-pllua (1:0.3.2-2) unstable; urgency=low

  * Section: database.
  * Include style.css in package, thanks Alexander Reichle-Schmehl for
    spotting.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2011 10:26:20 +0200

postgresql-pllua (1:0.3.2-1) unstable; urgency=low

  * New maintainer.
  * New upstream version. (And 0.8.1 was actually 0.3.1!)
  * Convert to 3.0 (quilt), bump to dh 7.
  * Use pg_buildext to support 8.4 and 9.0. (Shipping our private copy for
    now, adding an "install" target.) Closes: #618163

 -- Christoph Berg <myon@debian.org>  Thu, 31 Mar 2011 13:27:39 +0200

postgresql-pllua (0.8.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/00list
    - really added 21_missing_includes.dpatch, so that's applied; thanks to
      Michael Bienia that identified that; Closes: #571008

 -- Sandro Tosi <morph@debian.org>  Tue, 29 Jun 2010 13:25:20 +0200

postgresql-pllua (0.8.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/21_missing_includes.dpatch
    - Add missing PostgreSQL includes; thanks to dann frazier for the report and
      to Michael Bienia for the patch; Closes: #571008

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Mar 2010 17:18:54 +0100

postgresql-pllua (0.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - support PostrgeSQL 8.4, changing build-depends, depends and binary package
      name; Closes: #559595
  * debian/install
    - install into 8.4 directory
  * debian/patches/20_functions_undeclared.dpatch
    - include needed headers for 'textout' and 'ArrayType' undeclared objects,
      fixing a FTBFS; Closes: #536913

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Feb 2010 14:59:20 +0100

postgresql-pllua (0.8.1-1) unstable; urgency=low

  * Initial release. (Closes: #489824)
  * Added README.Debian.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Mon, 07 Jul 2008 15:58:08 -0300

=== debian/control ===
Source: postgresql-pllua
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), liblua5.1-dev,
 postgresql-server-dev-all (>= 119~)
Standards-Version: 3.9.2
Homepage: http://pgfoundry.org/projects/pllua/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-pllua/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-pllua/

Package: postgresql-9.1-pllua
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Description: Lua procedural language for PostgreSQL 9.1
 PL/Lua is an implementation of Lua as a loadable procedural language for
 PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
 written in the Lua programming language.
 .
 It brings the power and simplicity of Lua to PostgreSQL, including:
 small memory footprint, simple syntax, lexical scoping, functions as
 first-class values, and coroutines for non-preemptive threading.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk

build build-arch: build-stamp
build-stamp:
	dh_testdir
	+pg_buildext build $(CURDIR) build-%v
	touch build-stamp

build-indep:

clean: debian/control
	dh_testdir
	dh_testroot
	rm -f mkmf.log
	rm -f build-stamp
	+pg_buildext clean $(CURDIR) build-%v
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-pllua

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -a --all docs/index.html docs/style.css
	dh_installexamples -a --all sql/plluatest.sql expected/plluatest.out
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: build build-arch build-indep clean binary binary-indep binary-arch debian/control

## postgresql-pllua 0.8.1

=== Makefile ===
# Makefile for PL/Lua
# $Id: Makefile,v 1.10 2008/03/30 03:49:04 carvalho Exp $

# Lua specific

# General
LUAINC =
LUALIB = -llua

# Debian/Ubuntu
#LUAINC = -I/usr/include/lua5.1
#LUALIB = -llua5.1

# Fink
#LUAINC = -I/sw/include -I/sw/include/postgresql
#LUALIB = -L/sw/lib -llua

# no need to edit below here
MODULE_big = pllua
DATA_built = pllua.sql
REGRESS = plluatest
OBJS = pllua.o plluaapi.o plluaspi.o
PG_CPPFLAGS = $(LUAINC)
SHLIB_LINK = $(LUALIB)

PGXS := $(shell pg_config --pgxs)
include $(PGXS)

## postgresql-pllua 1.0

=== Makefile ===
# Makefile for PL/Lua
# $Id: Makefile,v 1.12 2009/09/20 14:20:48 carvalho Exp $

# Lua specific

# General
LUAINC = -I/usr/local/include
LUALIB = -L/usr/local/lib -llua

# LuaJIT
#LUAINC = -I/usr/local/include/luajit-2.0
#LUALIB = -L/usr/local/lib -lluajit-5.1

# Debian/Ubuntu
#LUAINC = -I/usr/include/lua5.1
#LUALIB = -llua5.1

# Fink
#LUAINC = -I/sw/include -I/sw/include/postgresql
#LUALIB = -L/sw/lib -llua

# Lua for Windows
#LUAINC = -IC:/PROGRA~1/Lua/5.1/include
#LUALIB = -LC:/PROGRA~1/Lua/5.1/lib -llua5.1


# no need to edit below here
MODULE_big = pllua
EXTENSION = pllua
DATA = pllua--1.0.sql
#DATA_built = pllua.sql

REGRESS = plluatest
OBJS = pllua.o plluaapi.o plluaspi.o
PG_CPPFLAGS = $(LUAINC)
SHLIB_LINK = $(LUALIB)

#PG_CONFIG = /usr/local/pgsql/bin/pg_config
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
postgresql-pllua (1:1.0-6) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.5.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jan 2016 19:18:08 +0100

postgresql-pllua (1:1.0-5) unstable; urgency=medium

  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Aug 2014 20:54:52 +0200

postgresql-pllua (1:1.0-4) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:39:43 +0200

postgresql-pllua (1:1.0-3) unstable; urgency=medium

  * Run regression tests in the toplevel dir so the source doesn't need to be
    built.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2014 13:31:26 +0100

postgresql-pllua (1:1.0-2) unstable; urgency=medium

  * debian/tests/control: Depend on postgresql-server-dev-all.
  * debian/tests/installcheck: Use pg_buildext installcheck.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 06 Feb 2014 10:41:43 +0100

postgresql-pllua (1:1.0-1) unstable; urgency=low

  * New upstream release.
  * Use "all" in debian/pgversions. (Tests need CREATE EXTENSION, skip tests
    on 8.4 and 9.0.)
  * Refresh patches, add fixes for 9.3.
  * Convert rules to use "dh".
  * Add autopkgtest support.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2013 16:50:54 +0200

=== debian/control ===
Source: postgresql-pllua
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), liblua5.1-dev,
 postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.6
Homepage: http://pgfoundry.org/projects/pllua/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-pllua.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-pllua.git
XS-Testsuite: autopkgtest

Package: postgresql-9.5-pllua
Architecture: any
Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
Description: Lua procedural language for PostgreSQL 9.5
 PL/Lua is an implementation of Lua as a loadable procedural language for
 PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
 written in the Lua programming language.
 .
 It brings the power and simplicity of Lua to PostgreSQL, including:
 small memory footprint, simple syntax, lexical scoping, functions as
 first-class values, and coroutines for non-preemptive threading.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

override_dh_auto_build:
	+pg_buildext build $(CURDIR) build-%v

override_dh_auto_clean:
	+pg_buildext clean $(CURDIR) build-%v
	rm -rf build-*/ regression.* results/ debian/postgresql-*-pllua/ debian/*.substvars

override_dh_auto_install:
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-pllua

override_dh_installdocs:
	dh_installdocs -a --all docs/index.html docs/style.css

override_dh_installexamples:
	dh_installexamples -a --all sql/plluatest.sql expected/plluatest.out

%:
	dh $@

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000314 /frs/download.php/[0-9]+/pllua-([0-9.]+).tar.gz debian uupdate

## postgresql-pllua 1.1.0

=== Makefile ===
# Makefile for PL/Lua

PG_CONFIG ?= pg_config
PKG_LIBDIR := $(shell $(PG_CONFIG) --pkglibdir)

# Lua specific

# General
LUA_INCDIR ?= /usr/include/lua5.1
LUALIB ?= -L/usr/local/lib -llua5.1

# LuaJIT
#LUA_INCDIR = /usr/local/include/luajit-2.0
#LUALIB = -L/usr/local/lib -lluajit-5.1

# Debian/Ubuntu
#LUA_INCDIR = /usr/include/lua5.1
#LUALIB = -llua5.1

# Fink
#LUA_INCDIR = /sw/include -I/sw/include/postgresql
#LUALIB = -L/sw/lib -llua

# Lua for Windows
#LUA_INCDIR = C:/PROGRA~1/Lua/5.1/include
#LUALIB = -LC:/PROGRA~1/Lua/5.1/lib -llua5.1

# no need to edit below here
MODULE_big = pllua
EXTENSION = pllua
DATA = pllua--1.0.sql
#DATA_built = pllua.sql

REGRESS = \
plluatest \
biginttest \
pgfunctest \
subtransaction \
error_info

OBJS = \
pllua.o \
pllua_debug.o \
pllua_xact_cleanup.o \
plluaapi.o \
plluaspi.o \
lua_int64.o \
rtupdesc.o \
rtupdescstk.o \
pllua_pgfunc.o \
pllua_subxact.o \
pllua_errors.o

PG_CPPFLAGS = -I$(LUA_INCDIR) #-DPLLUA_DEBUG
SHLIB_LINK = $(LUALIB)

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
postgresql-pllua (1:1.1.0-2) unstable; urgency=medium

  * Pull patch to support PostgreSQL 10.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Oct 2017 11:10:04 +0200

postgresql-pllua (1:1.1.0-1) unstable; urgency=medium

  * Finally a new upstream release!
  * Pull patch to fix int8 on 32 bit.
  * Add regression patches to cover 9.2 and 9.6.
  * Update watch file for move to github.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Aug 2017 17:44:43 +0200

postgresql-pllua (1:1.0-9) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.6.

 -- Christoph Berg <myon@debian.org>  Sun, 25 Sep 2016 22:37:38 +0200

=== debian/control ===
Source: postgresql-pllua
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), liblua5.1-dev,
 postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Homepage: https://github.com/pllua/pllua
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql-pllua.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-pllua.git/

Package: postgresql-10-pllua
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: Lua procedural language for PostgreSQL 10
 PL/Lua is an implementation of Lua as a loadable procedural language for
 PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
 written in the Lua programming language.
 .
 It brings the power and simplicity of Lua to PostgreSQL, including:
 small memory footprint, simple syntax, lexical scoping, functions as
 first-class values, and coroutines for non-preemptive threading.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	+pg_buildext install $(CURDIR) build-%v postgresql-%v-pllua
 
 override_dh_installdocs:
-	dh_installdocs -a --all docs/index.html docs/style.css
+	dh_installdocs -a --all README.md
 
 override_dh_installexamples:
 	dh_installexamples -a --all sql/plluatest.sql expected/plluatest.out

=== debian/watch ===
version=3
https://github.com/pllua/pllua/releases .*/archive/v(.*).tar.gz

## postgresql-pllua 2.0~beta2

=== Makefile ===
# Makefile for PL/Lua

PG_CONFIG ?= pg_config

# Lua specific

# two values can be set here, which only apply to luajit:
#  -DNO_LUAJIT        disables all use of luajit features
#  -DUSE_INT8_CDATA   convert sql bigints to cdata int64_t
# The latter is off by default because it has some possibly
# undesirable effects on bigint handling.

PLLUA_CONFIG_OPTS ?=

# General
LUA_INCDIR ?= /usr/local/include/lua53
LUALIB ?= -L/usr/local/lib -llua-5.3
LUAC ?= luac53
LUA ?= lua53

# LuaJIT
#LUA_INCDIR = /usr/local/include/luajit-2.1
#LUALIB = -L/usr/local/lib -lluajit-5.1
#LUAJIT = luajit

ifdef LUAJIT
LUAJITC ?= $(LUAJIT) -b -g -t raw
LUA = $(LUAJIT)
LUAC = $(REORDER_O) $(LUAJITC)
endif

# if no OBJCOPY or not needed, this can be set to true (or false)
OBJCOPY ?= objcopy

# We expect $(BIN_LD) -o foo.o foo.luac to create a foo.o with the
# content of foo.luac as a data section (plus appropriate symbols).
# GNU LD and compatible linkers (including recent clang lld) should be
# fine with -r -b binary, but this does break on some ports.

BIN_LD ?= $(LD) -r -b binary

# If BIN_ARCH and BIN_FMT are defined, we assume LD_BINARY is broken
# and do this instead. This is apparently needed for linux-mips64el,
# for which BIN_ARCH=mips:isa64r2 BIN_FMT=elf64-tradlittlemips seems
# to work.

ifdef BIN_ARCH
ifdef BIN_FMT
BIN_LD = $(REORDER_O) $(OBJCOPY) -B $(BIN_ARCH) -I binary -O $(BIN_FMT)
endif
endif

# no need to edit below here
MODULE_big = pllua
EXTENSION = pllua plluau
DATA = 	pllua--2.0.sql pllua--1.0--2.0.sql \
	plluau--2.0.sql plluau--1.0--2.0.sql

REGRESS = --schedule=$(srcdir)/serial_schedule
REGRESS_PARALLEL = --schedule=$(srcdir)/parallel_schedule
# only on pg10+
REGRESS_10 = triggers_10
# only on pg11+
REGRESS_11 = procedures

REORDER_O = tools/reorder-o.sh

INCS=   pllua.h pllua_pgver.h pllua_luaver.h pllua_luajit.h

OBJS_C= compile.o datum.o elog.o error.o exec.o globals.o init.o \
	jsonb.o numeric.o objects.o pllua.o preload.o spi.o trigger.o \
	trusted.o

SRCS_C = $(addprefix src/, $(OBJS_C:.o=.c))

OBJS_LUA=compat.o

SRCS_LUA = $(addprefix src/, $(OBJS_LUA:.o=.lua))

OBJS = $(addprefix src/, $(OBJS_C))

EXTRA_OBJS = $(addprefix src/, $(OBJS_LUA))

EXTRA_CLEAN = pllua_functable.h plerrcodes.h $(SRCS_LUA:.lua=.luac) $(EXTRA_OBJS)

PG_CPPFLAGS = -I$(LUA_INCDIR) $(PLLUA_CONFIG_OPTS)
SHLIB_LINK = $(EXTRA_OBJS) $(LUALIB)

# not done except for testing, for portability
ifdef HIDE_SYMBOLS
SHLIB_LINK += -Wl,--version-script=src/exports.x
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(filter-out 7.% 8.% 9.0 9.1 9.2 9.3 9.4, $(MAJORVERSION)),)
$(error unsupported PostgreSQL version)
endif
ifneq ($(filter-out 9.%, $(MAJORVERSION)),)
REGRESS += $(REGRESS_10)
REGRESS_PARALLEL += $(REGRESS_10)
endif
ifneq ($(filter-out 9.% 10, $(MAJORVERSION)),)
REGRESS += $(REGRESS_11)
REGRESS_PARALLEL += $(REGRESS_11)
endif

$(OBJS): $(addprefix src/, $(INCS))

# explicit deps on generated includes
src/init.o: pllua_functable.h
src/error.o: plerrcodes.h

$(shlib): $(EXTRA_OBJS)

ifdef HIDE_SYMBOLS
$(shlib): src/exports.x
endif

%.luac: %.lua
	$(LUAC) -o $@ $<

%.o: %.luac
	$(BIN_LD) -o $@ $<
	-$(OBJCOPY) --rename-section .data=.rodata,contents,alloc,load,readonly $@

pllua_functable.h: $(SRCS_C) tools/functable.lua
	$(LUA) tools/functable.lua $(SRCS_C) | sort -u >$@

ifneq ($(filter-out 9.% 10, $(MAJORVERSION)),)

#in pg 11+, we can get the server's errcodes.txt.
plerrcodes.h: $(datadir)/errcodes.txt tools/errcodes.lua
	$(LUA) tools/errcodes.lua $(datadir)/errcodes.txt >plerrcodes.h

else

plerrcodes.h: src/plerrcodes_old.h
	cp src/plerrcodes_old.h plerrcodes.h

endif

installcheck-parallel: submake $(REGRESS_PREP)
	$(pg_regress_installcheck) $(REGRESS_OPTS) $(REGRESS_PARALLEL)

=== hstore/Makefile ===
# Makefile for PL/Lua + hstore

PG_CONFIG ?= pg_config

# unfortunately, this needs access to a PG source tree to get hstore.h,
# which is never installed anywhere
HSTORE_SRC ?= ..

# Lua specific

# General
LUA_INCDIR ?= /usr/local/include/lua53
LUALIB ?= -L/usr/local/lib -llua-5.3

# LuaJIT
#LUA_INCDIR = /usr/local/include/luajit-2.0
#LUALIB = -L/usr/local/lib -lluajit-5.1
#LUA_INCDIR = /usr/local/include/luajit-2.1
#LUALIB = -L/usr/local/lib -lluajit-5.1

# Debian/Ubuntu
#LUA_INCDIR = /usr/include/lua5.1
#LUALIB = -llua5.1

# Fink
#LUA_INCDIR = /sw/include -I/sw/include/postgresql
#LUALIB = -L/sw/lib -llua

# Lua for Windows
#LUA_INCDIR = C:/PROGRA~1/Lua/5.1/include
#LUALIB = -LC:/PROGRA~1/Lua/5.1/lib -llua5.1

# no need to edit below here
MODULE_big = hstore_pllua
EXTENSION = hstore_pllua hstore_plluau
DATA = hstore_pllua--1.0.sql hstore_plluau--1.0.sql

OBJS =	hstore_pllua.o

REGRESS = create_ext hstore

# MAJORVERSION and includedir_server are not defined yet, but will be
# defined before PG_CPPFLAGS is expanded

# for pg11+, hstore.h will eventually be installed
HSTORE_INCDIR = $(includedir_server)/extension/hstore

# for pg 9.5/9.6/10, we have a local copy of hstore.h since it happens
# to be the same, barring non-semantic whitespace, between the three
# versions
HSTORE_INCDIR_OLD = old_inc

HSTORE_INC = -I$(HSTORE_INCDIR$(if $(filter 9.% 10,$(MAJORVERSION)),_OLD))

PG_CPPFLAGS = -I$(LUA_INCDIR) -I../src $(HSTORE_INC) #-DPLLUA_DEBUG

# SHLIB_LINK = $(LUALIB)

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(filter-out 7.% 8.% 9.0 9.1 9.2 9.3 9.4, $(MAJORVERSION)),)
$(error unsupported PostgreSQL version)
endif

=== debian/changelog ===
postgresql-pllua (1:2.0~beta2-1) unstable; urgency=medium

  * New upstream version, allows setting binary format to fix linking
    src/compat.o on mips64el.
  * Include new pllua_hstore extension.

 -- Christoph Berg <myon@debian.org>  Sat, 07 Jul 2018 10:38:54 +0200

postgresql-pllua (1:2.0~beta1-1) unstable; urgency=medium

  * Switch package to pllua-ng, https://github.com/pllua/pllua-ng.
    See README.md for changes and incompatibilities.
  * Bump Lua build-dependency to liblua5.3-dev.
  * Package is compatible with PostgreSQL 9.5+.
  * Build-depend on postgresql-all, we need errcodes.txt from postgresql-11
    and later.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 05 Jul 2018 14:33:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), liblua5.1-dev,
- postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.1
+Build-Depends:
+ debhelper (>= 9),
+ liblua5.3-dev,
+ lua5.3,
+ postgresql-all,
+ postgresql-server-dev-all (>= 153~),
+Standards-Version: 4.1.5
 Homepage: https://github.com/pllua/pllua
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql-pllua.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-pllua.git/
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
 
 Package: postgresql-10-pllua
 Architecture: any
@@ -21,4 +25,6 @@
  It brings the power and simplicity of Lua to PostgreSQL, including:
  small memory footprint, simple syntax, lexical scoping, functions as
  first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.

=== debian/watch ===
version=4
options="uversionmangle=s/_BETA/~beta/;s/_/./g" \
https://github.com/pllua/pllua-ng/releases .*/REL_(.*).tar.gz

## postgresql-pllua 2.0.1

=== Makefile ===
# Makefile for PL/Lua

PG_CONFIG ?= pg_config

# Lua specific

# two values can be set here, which only apply to luajit:
#  -DNO_LUAJIT        disables all use of luajit features
#  -DUSE_INT8_CDATA   convert sql bigints to cdata int64_t
# The latter is off by default because it has some possibly
# undesirable effects on bigint handling.

PLLUA_CONFIG_OPTS ?=

# General
LUA_INCDIR ?= /usr/local/include/lua53
LUALIB ?= -L/usr/local/lib -llua-5.3
LUAC ?= luac53
LUA ?= lua53

# LuaJIT
#LUA_INCDIR = /usr/local/include/luajit-2.1
#LUALIB = -L/usr/local/lib -lluajit-5.1
#LUAJIT = luajit

ifdef LUAJIT
LUAJITC ?= $(LUAJIT) -b -g -t raw
LUA = $(LUAJIT)
LUAC = $(REORDER_O) $(LUAJITC)
endif

# if no OBJCOPY or not needed, this can be set to true (or false)
OBJCOPY ?= objcopy

# We expect $(BIN_LD) -o foo.o foo.luac to create a foo.o with the
# content of foo.luac as a data section (plus appropriate symbols).
# GNU LD and compatible linkers (including recent clang lld) should be
# fine with -r -b binary, but this does break on some ports.

BIN_LD ?= $(LD) -r -b binary

# If BIN_ARCH and BIN_FMT are defined, we assume LD_BINARY is broken
# and do this instead. This is apparently needed for linux-mips64el,
# for which BIN_ARCH=mips:isa64r2 BIN_FMT=elf64-tradlittlemips seems
# to work.

ifdef BIN_ARCH
ifdef BIN_FMT
BIN_LD = $(REORDER_O) $(OBJCOPY) -B $(BIN_ARCH) -I binary -O $(BIN_FMT)
endif
endif

# should be no need to edit below here

MODULE_big = pllua

EXTENSION = pllua plluau

SQL_SRC = pllua--2.0.sql pllua--1.0--2.0.sql \
	  plluau--2.0.sql plluau--1.0--2.0.sql
DATA = $(addprefix scripts/, $(SQL_SRC))

DOC_HTML = pllua.html

ifdef BUILD_DOCS
DOCS =  $(DOC_HTML)
endif

objdir := src

# variables like $(srcdir) and $(MAJORVERSION) are not yet set, but
# are safe to use in recursively-expanded variables since they will be
# set before most values are needed. Can't use them in conditionals
# until after pgxs is loaded though.

# version-dependent regression tests
REGRESS_10 := triggers_10
REGRESS_11 := $(REGRESS_10) procedures
REGRESS_12 := $(REGRESS_11)

EXTRA_REGRESS = $(REGRESS_$(MAJORVERSION))

REGRESS = --schedule=$(srcdir)/serial_schedule $(EXTRA_REGRESS)
REGRESS_PARALLEL = --schedule=$(srcdir)/parallel_schedule $(EXTRA_REGRESS)

REORDER_O = $(srcdir)/tools/reorder-o.sh

DOC_MD = css.css intro.md pllua.md building.md endnote.md

DOC_SRCS = $(addprefix $(srcdir)/doc/, $(DOC_MD))

INCS=   pllua.h pllua_pgver.h pllua_luaver.h pllua_luajit.h

HEADERS= $(addprefix src/, $(INCS))

OBJS_C= compile.o datum.o elog.o error.o exec.o globals.o init.o \
	jsonb.o numeric.o objects.o pllua.o preload.o spi.o trigger.o \
	trusted.o

SRCS_C = $(addprefix $(srcdir)/src/, $(OBJS_C:.o=.c))

OBJS_LUA = compat.o

SRCS_LUA = $(addprefix $(srcdir)/src/, $(OBJS_LUA:.o=.lua))

OBJS = $(addprefix src/, $(OBJS_C))

EXTRA_OBJS = $(addprefix src/, $(OBJS_LUA))

EXTRA_CLEAN = pllua_functable.h plerrcodes.h $(addprefix src/,$(OBJS_LUA:.o=.luac)) $(EXTRA_OBJS) $(DOC_HTML)

PG_CPPFLAGS = -I$(LUA_INCDIR) $(PLLUA_CONFIG_OPTS)

SHLIB_LINK = $(EXTRA_OBJS) $(LUALIB)

# if VPATH is not already set, but the makefile is not in the current
# dir, then assume a vpath build using the makefile's directory as
# source. PGXS will set $(srcdir) accordingly.
ifndef VPATH
ifneq ($(realpath $(CURDIR)),$(realpath $(dir $(firstword $(MAKEFILE_LIST)))))
VPATH := $(dir $(firstword $(MAKEFILE_LIST)))
endif
endif

# actually load pgxs

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# definitions that must follow pgxs

ifeq ($(filter-out 7.% 8.% 9.0 9.1 9.2 9.3 9.4, $(MAJORVERSION)),)
$(error unsupported PostgreSQL version)
endif

$(OBJS): $(addprefix $(srcdir)/src/, $(INCS))

# for a vpath build, we need src/ to exist in the build dir before
# building any objects.
ifdef VPATH
all: vpath-mkdirs
.PHONY: vpath-mkdirs
$(OBJS) $(EXTRA_OBJS): | vpath-mkdirs

vpath-mkdirs:
	$(MKDIR_P) $(objdir)
endif # VPATH

all: $(DOCS)

# explicit deps on generated includes
src/init.o: pllua_functable.h
src/error.o: plerrcodes.h

$(shlib): $(EXTRA_OBJS)

%.luac: %.lua
	$(LUAC) -o $@ $<

ifeq ($(PORTNAME),darwin)
# Apple of course has to do its own thing when it comes to object file
# format and linker options.

_stub.c:
	touch $@

%.o: %.luac _stub.o
	$(LD) -r -sectcreate binary $(subst .,_,$(<F)) $< _stub.o -o $@

else
# The objcopy here is optional, it's just cleaner for the loaded data
# to be in a readonly section. So we ignore errors on it.

%.o: %.luac
	$(BIN_LD) -o $@ $<
	-$(OBJCOPY) --rename-section .data=.rodata,contents,alloc,load,readonly $@
endif

pllua_functable.h: $(SRCS_C) $(srcdir)/tools/functable.lua
	$(LUA) $(srcdir)/tools/functable.lua $(SRCS_C) >$@

ifneq ($(filter-out 9.% 10, $(MAJORVERSION)),)

#in pg 11+, we can get the server's errcodes.txt.
plerrcodes.h: $(datadir)/errcodes.txt $(srcdir)/tools/errcodes.lua
	$(LUA) $(srcdir)/tools/errcodes.lua $(datadir)/errcodes.txt >plerrcodes.h

else

plerrcodes.h: $(srcdir)/src/plerrcodes_old.h
	cp $(srcdir)/src/plerrcodes_old.h plerrcodes.h

endif

installcheck-parallel: submake $(REGRESS_PREP)
	$(pg_regress_installcheck) $(REGRESS_OPTS) $(REGRESS_PARALLEL)

$(DOC_HTML): $(DOC_SRCS) $(srcdir)/doc/template.xsl $(srcdir)/tools/doc.sh
	$(srcdir)/tools/doc.sh $(srcdir)/doc/template.xsl $(DOC_SRCS) >$@

=== debian/changelog ===
postgresql-pllua (1:2.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 07 Jan 2019 16:30:30 +0100

postgresql-pllua (1:2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 19 Oct 2018 13:43:32 +0200

postgresql-pllua (1:2.0~rc1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:23:11 +0200

postgresql-pllua (1:2.0~rc1-1) unstable; urgency=medium

  * New upstream version, supporting PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 08 Aug 2018 13:12:35 +0200

=== debian/rules ===
#!/usr/bin/make -f

export LUA_INCDIR = /usr/include/lua5.3
export LUALIB = -llua5.3
export LUAC = luac5.3
export LUA = lua5.3

# work around 'ld -b binary' producing mips1 code
# https://buildd.debian.org/status/fetch.php?pkg=postgresql-pllua&arch=mips64el&ver=1%3A2.0~beta1-1&stamp=1530805328&raw=0
ifeq ($(shell dpkg --print-architecture), mips64el)
export BIN_ARCH = mips:isa64r2
export BIN_FMT = elf64-tradlittlemips
endif

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C hstore clean

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-pllua
	+pg_buildext loop hstore postgresql-%v-pllua

override_dh_installdocs:
	dh_installdocs --all README.md

%:
	dh $@

=== debian/watch ===
version=4
options="uversionmangle=s/_BETA/~beta/;s/_RC/~rc/;s/_/./g" \
https://github.com/pllua/pllua-ng/releases .*/REL_(.*).tar.gz

## postgresql-pllua 2.0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for PL/Lua
+# Makefile for PL/Lua		# -*- mode: makefile-gmake -*-
 
 PG_CONFIG ?= pg_config
 
@@ -63,7 +63,10 @@
 DOC_HTML = pllua.html
 
 ifdef BUILD_DOCS
-DOCS =  $(DOC_HTML)
+DOCS = $(DOC_HTML)
+ifdef BUILD_ICON
+ICON = icon.meta
+endif
 endif
 
 objdir := src
@@ -85,17 +88,17 @@
 
 REORDER_O = $(srcdir)/tools/reorder-o.sh
 
-DOC_MD = css.css intro.md pllua.md building.md endnote.md
-
-DOC_SRCS = $(addprefix $(srcdir)/doc/, $(DOC_MD))
+DOC_MD = css.css script.js intro.md pllua.md building.md endnote.md
+
+DOC_SRCS = logo.css $(ICON) $(addprefix $(srcdir)/doc/, $(DOC_MD))
 
 INCS=   pllua.h pllua_pgver.h pllua_luaver.h pllua_luajit.h
 
 HEADERS= $(addprefix src/, $(INCS))
 
 OBJS_C= compile.o datum.o elog.o error.o exec.o globals.o init.o \
-	jsonb.o numeric.o objects.o pllua.o preload.o spi.o trigger.o \
-	trusted.o
+	jsonb.o numeric.o objects.o paths.o pllua.o preload.o spi.o \
+	time.o trigger.o trusted.o
 
 SRCS_C = $(addprefix $(srcdir)/src/, $(OBJS_C:.o=.c))
 
@@ -107,7 +110,9 @@
 
 EXTRA_OBJS = $(addprefix src/, $(OBJS_LUA))
 
-EXTRA_CLEAN = pllua_functable.h plerrcodes.h $(addprefix src/,$(OBJS_LUA:.o=.luac)) $(EXTRA_OBJS) $(DOC_HTML)
+EXTRA_CLEAN = pllua_functable.h plerrcodes.h \
+	$(addprefix src/,$(OBJS_LUA:.o=.luac)) $(EXTRA_OBJS) \
+	logo.css tmpdoc.html icon-16.png icon.meta $(DOC_HTML)
 
 PG_CPPFLAGS = -I$(LUA_INCDIR) $(PLLUA_CONFIG_OPTS)
 
@@ -195,5 +200,23 @@
 installcheck-parallel: submake $(REGRESS_PREP)
 	$(pg_regress_installcheck) $(REGRESS_OPTS) $(REGRESS_PARALLEL)
 
+logo.css: $(srcdir)/doc/logo.svg $(srcdir)/tools/logo.lua
+	$(LUA) $(srcdir)/tools/logo.lua -text -logo $(srcdir)/doc/logo.svg >$@
+
+# Stripped PNGs are quite a bit smaller than .ico
+#icon.ico: $(srcdir)/doc/logo.svg
+#	convert -size 256x256 -background transparent $(srcdir)/doc/logo.svg \
+#		-format ico -define icon:auto-resize=32,16 icon.ico
+
+icon-16.png: $(srcdir)/doc/logo.svg
+	convert -size 16x16 -background transparent $(srcdir)/doc/logo.svg \
+		-format png -define png:format=png32 \
+		-define png:exclude-chunk=all icon-16.png
+
+icon.meta: icon-16.png
+	$(LUA) $(srcdir)/tools/logo.lua -binary -icon="16x16" icon-16.png >$@
+
 $(DOC_HTML): $(DOC_SRCS) $(srcdir)/doc/template.xsl $(srcdir)/tools/doc.sh
-	$(srcdir)/tools/doc.sh $(srcdir)/doc/template.xsl $(DOC_SRCS) >$@
+	$(srcdir)/tools/doc.sh $(DOC_SRCS) >tmpdoc.html
+	xsltproc --encoding utf-8 $(srcdir)/doc/template.xsl tmpdoc.html >$@
+	rm -- tmpdoc.html

=== debian/changelog ===
postgresql-pllua (1:2.0.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 14:06:21 +0100

postgresql-pllua (1:2.0.4-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 20 May 2019 11:19:33 +0200

postgresql-pllua (1:2.0.2-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Apr 2019 10:41:26 +0200

=== debian/control ===
Source: postgresql-pllua
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 liblua5.3-dev,
 lua5.3,
 postgresql-all,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.5
Homepage: https://github.com/pllua/pllua
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua

Package: postgresql-12-pllua
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: Lua procedural language for PostgreSQL 12
 PL/Lua is an implementation of Lua as a loadable procedural language for
 PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
 written in the Lua programming language.
 .
 It brings the power and simplicity of Lua to PostgreSQL, including:
 small memory footprint, simple syntax, lexical scoping, functions as
 first-class values, and coroutines for non-preemptive threading.
 .
 This package is based on pllua-ng.

## postgresql-pllua 2.0.5

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,7 @@
 REGRESS_10 := triggers_10
 REGRESS_11 := $(REGRESS_10) procedures
 REGRESS_12 := $(REGRESS_11)
+REGRESS_13 := $(REGRESS_12)
 
 EXTRA_REGRESS = $(REGRESS_$(MAJORVERSION))

=== debian/changelog ===
postgresql-pllua (1:2.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 06 May 2020 11:49:37 +0200

## postgresql-pllua 2.0.7

=== debian/changelog ===
postgresql-pllua (1:2.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Set LUA=lua5.3 in tests.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Jan 2021 12:28:04 +0100

postgresql-pllua (1:2.0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 10:24:36 +0200

postgresql-pllua (1:2.0.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:50:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  liblua5.3-dev,
  lua5.3,
- postgresql-all,
- postgresql-server-dev-all (>= 153~),
-Standards-Version: 4.1.5
+ postgresql-all (>= 217~),
+ postgresql-all (>= 217~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/pllua/pllua
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
 
-Package: postgresql-12-pllua
+Package: postgresql-13-pllua
 Architecture: any
-Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
-Description: Lua procedural language for PostgreSQL 12
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 13
  PL/Lua is an implementation of Lua as a loadable procedural language for
  PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
  written in the Lua programming language.

## postgresql-pllua 2.0.9

=== debian/changelog ===
postgresql-pllua (1:2.0.9-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 24 Apr 2021 19:08:29 +0200

postgresql-pllua (1:2.0.9-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Apr 2021 19:08:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  liblua5.3-dev,
  lua5.3,
  postgresql-all (>= 217~),
@@ -14,6 +14,76 @@
 Homepage: https://github.com/pllua/pllua
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
+
+Package: postgresql-9.5-pllua
+Architecture: any
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 9.5
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-9.6-pllua
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 9.6
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-10-pllua
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 10
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-11-pllua
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 11
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-12-pllua
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 12
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
 
 Package: postgresql-13-pllua
 Architecture: any

## postgresql-pllua 2.0.10

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,11 @@
 LUAC = $(REORDER_O) $(LUAJITC)
 endif
 
+LUAVER = $(shell $(LUA) -e 'print(_VERSION:match("^Lua ([0-9.]+)"))')
+ifeq ($(filter 5.1 5.3 5.4, $(LUAVER)),)
+$(error failed to get valid lua version)
+endif
+
 # if no OBJCOPY or not needed, this can be set to true (or false)
 OBJCOPY ?= objcopy
 
@@ -81,8 +86,11 @@
 REGRESS_11 := $(REGRESS_10) procedures
 REGRESS_12 := $(REGRESS_11)
 REGRESS_13 := $(REGRESS_12)
-
-EXTRA_REGRESS = $(REGRESS_$(MAJORVERSION))
+REGRESS_14 := $(REGRESS_13)
+
+REGRESS_LUA_5.4 := lua54
+
+EXTRA_REGRESS = $(REGRESS_$(MAJORVERSION)) $(REGRESS_LUA_$(LUAVER))
 
 REGRESS = --schedule=$(srcdir)/serial_schedule $(EXTRA_REGRESS)
 REGRESS_PARALLEL = --schedule=$(srcdir)/parallel_schedule $(EXTRA_REGRESS)

=== hstore/Makefile ===
# Makefile for PL/Lua + hstore

PG_CONFIG ?= pg_config

# Lua specific

# General
LUA_INCDIR ?= /usr/local/include/lua53
LUALIB ?= -L/usr/local/lib -llua-5.3

# no need to edit below here

MODULE_big = hstore_pllua

EXTENSION = hstore_pllua hstore_plluau

DATA = hstore_pllua--1.0.sql hstore_plluau--1.0.sql

OBJS =	hstore_pllua.o

REGRESS = create_ext hstore

# MAJORVERSION and includedir_server are not defined yet, but will be
# defined before PG_CPPFLAGS is expanded

# for pg11+, hstore.h will have been installed here as hstore/hstore.h,
# but pllua.h might also have been installed as pllua/pllua.h and we don't
# want to take that in preference to ../src/pllua.h. So we use
# #include "hstore/hstore.h" but #include "pllua.h"

EXT_INCDIR = $(includedir_server)/extension

# for pg 9.5/9.6/10, we have a local copy of hstore.h since it happens
# to be the same, barring non-semantic whitespace, between the three
# versions
EXT_INCDIR_OLD = $(srcdir)/old_inc

PG_CPPFLAGS = -I$(LUA_INCDIR) -I$(srcdir)/../src
PG_CPPFLAGS += -I$(EXT_INCDIR$(if $(filter 9.% 10,$(MAJORVERSION)),_OLD))

SHLIB_LINK = $(LUALIB)

# if VPATH is not already set, but the makefile is not in the current
# dir, then assume a vpath build using the makefile's directory as
# source. PGXS will set $(srcdir) accordingly.
ifndef VPATH
ifneq ($(realpath $(CURDIR)),$(realpath $(dir $(firstword $(MAKEFILE_LIST)))))
VPATH := $(dir $(firstword $(MAKEFILE_LIST)))
endif
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifeq ($(filter-out 7.% 8.% 9.0 9.1 9.2 9.3 9.4, $(MAJORVERSION)),)
$(error unsupported PostgreSQL version)
endif

=== debian/changelog ===
postgresql-pllua (1:2.0.10-3.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 02 Nov 2021 11:30:31 +0100

postgresql-pllua (1:2.0.10-3) unstable; urgency=medium

  * watch: Look for tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Nov 2021 11:30:31 +0100

postgresql-pllua (1:2.0.10-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:06:54 +0200

postgresql-pllua (1:2.0.10-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 13:32:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  liblua5.3-dev,
  lua5.3,
  postgresql-all (>= 217~),
@@ -14,20 +14,6 @@
 Homepage: https://github.com/pllua/pllua
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
-
-Package: postgresql-9.5-pllua
-Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
-Description: Lua procedural language for PostgreSQL 9.5
- PL/Lua is an implementation of Lua as a loadable procedural language for
- PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
- written in the Lua programming language.
- .
- It brings the power and simplicity of Lua to PostgreSQL, including:
- small memory footprint, simple syntax, lexical scoping, functions as
- first-class values, and coroutines for non-preemptive threading.
- .
- This package is based on pllua-ng.
 
 Package: postgresql-9.6-pllua
 Architecture: any
@@ -98,3 +84,17 @@
  first-class values, and coroutines for non-preemptive threading.
  .
  This package is based on pllua-ng.
+
+Package: postgresql-14-pllua
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 14
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.

=== debian/tests/control ===
Depends: @, lua5.3, make
Test-Command: LUA=lua5.3 pg_buildext installcheck
Restrictions: allow-stderr
Features: test-name=installcheck-pllua

Depends: @, make, postgresql-all
Test-Command: pg_buildext installcheck hstore
Restrictions: allow-stderr
Features: test-name=installcheck-pllua-hstore

## postgresql-pllua 2.0.11

=== debian/changelog ===
postgresql-pllua (1:2.0.11-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Apr 2023 08:33:16 +0200

postgresql-pllua (1:2.0.10-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Nov 2022 19:06:30 +0100

postgresql-pllua (1:2.0.10-4) unstable; urgency=medium

  * Depend on postgresql-contrib-NN for hstore_pllua.

 -- Christoph Berg <myon@debian.org>  Wed, 26 Jan 2022 14:06:53 +0100
